name: chat_video_sdk
description: A new Flutter package project.
version: 0.0.1
homepage: none
publish_to: none

# cp -a ../chat_video_sdk/lib ../chat_video_sdk/pubspec.yaml ../chat_video_sdk/packages packages/chat-video-sdk

environment:
  sdk: ">=2.17.0 <3.0.0"
  flutter: ">=1.17.0"

dependencies:
  flutter:
    sdk: flutter
  miniplayer:
    path: packages/miniplayer
  app_packages:
    path: packages/app-package
  chatme_ui_sdk:
    path: packages/chatme_ui_sdk
  fijkplayer:
    path: packages/fijkplayer
  lottie: ^1.4.1
  cached_network_image: ^3.2.1
  after_layout: ^1.2.0
  another_flushbar: ^1.12.30
  socket_io_client: ^2.0.2
  shared_preferences: ^2.0.15
  bloc: ^8.0.3
  flutter_bloc: ^8.0.1
  connectivity_plus: ^2.3.6
  dartz: ^0.10.1
  event_bus: ^2.0.0
  custom_pop_up_menu: ^1.2.4
  dio: ^5.2.1+1
  flutter_svg: ^1.1.6
  timer_count_down: ^2.2.2
  draggable_widget: ^2.0.0
  photo_view: ^0.14.0
  fluttertoast: ^8.2.2
#  wakelock: ^0.6.2

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^1.0.0

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:
  #Asset
  assets:
    - lib/assets/lottie/
    - lib/assets/svg/
    - lib/assets/images/medals/
    - lib/assets/images/
